"Date Text Format" has Long and Short wrong (switched, swapped)

Bug #339497 reported by Umang Varma on 2009-03-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Sunbird
Confirmed
Low
lightning-sunbird (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: sunbird

I first reported this bug in Bugzilla (for Sunbird) , before I was told that it could be a problem in the long and short date formats of the system itself. Original bug:

 ---
If you go to Preferences, and check the "Date Text Format" option, it gives me
two options:

- Long: Sun 8 Mar 2009
- Short: Sunday 08 March 2009

Reproducible: Always

Steps to Reproduce:
1. Edit Menu >> Preferences >> General Tab

Expected Results:
I believe that this should be

- Short: Sun 8 Mar 2009
- Long: Sunday 08 March 2009
 ---

Where is the problem, in Sunbird, my preferences, or Ubuntu? If my preferences, where do I correct them?

Thank you,

Umang

Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13pre)
Gecko/20080602 Ubuntu/8.10 (intrepid) Calendar/0.8

Works fine for me using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b4pre) Gecko/20090307 Calendar/1.0pre. The preference dialog shows "Short: 08.03.2009" and "Long: Sonntag, 8. März 2009".

I'd recommend that you update to the latest official release (0.9) and retest. But most probably your system doesn't correctly define the short and long date format and your run into the code at <http://mxr.mozilla.org/comm-central/source/calendar/base/src/calDateTimeFormatter.js#151>. You could try to change the short and long date format for your system and observe the changes in Sunbird.

I can't seem to find a way to change the system settings for that (have checked all Time/Date settings for the system, no such option). Will report a bug in Launchpad. (Referring to this bug). (But I won't call this bug resolved as yet...)

I've reported it at launchpad. Let's see what they have to say about it.

https://bugs.launchpad.net/sunbird/+bug/339497

Umang Varma (umang) wrote :

Binary package hint: sunbird

I first reported this bug in Bugzilla (for Sunbird) , before I was told that it could be a problem in the long and short date formats of the system itself. Original bug:

 ---
If you go to Preferences, and check the "Date Text Format" option, it gives me
two options:

- Long: Sun 8 Mar 2009
- Short: Sunday 08 March 2009

Reproducible: Always

Steps to Reproduce:
1. Edit Menu >> Preferences >> General Tab

Expected Results:
I believe that this should be

- Short: Sun 8 Mar 2009
- Long: Sunday 08 March 2009
 ---

Where is the problem, in Sunbird, my preferences, or Ubuntu? If my preferences, where do I correct them?

Thank you,

Umang

Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.13pre)
Gecko/20080602 Ubuntu/8.10 (intrepid) Calendar/0.8

Changed in sunbird:
status: Unknown → New
John Vivirito (gnomefreak) wrote :

Can you please post the output of "lsb_release -a" without the "
Can you please rename your profile with .old on the end of orig name and start sunbird/ again and let me know if it still an issue. I am unable to reproduce this issue on 0.7 0.8 and 0.9

Changed in lightning-sunbird:
importance: Undecided → Low
status: New → Incomplete
Umang Varma (umang) wrote :

umang@ubuntu-desktop:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 8.10
Release: 8.10
Codename: intrepid

And yes, I renamed by profile with a .old and also deleted the

[Profile0]
Name=default
IsRelative=1
Path=....

part of profiles.ini. I still have the exact same problem.

On 03/08/2009 10:51 AM, Umang wrote:
> umang@ubuntu-desktop:~$ lsb_release -a
> No LSB modules are available.
> Distributor ID: Ubuntu
> Description: Ubuntu 8.10
> Release: 8.10
> Codename: intrepid
>
> And yes, I renamed by profile with a .old and also deleted the
>
> [Profile0]
> Name=default
> IsRelative=1
> Path=....
>
> part of profiles.ini. I still have the exact same problem.
>
> ** Attachment added: "Screenshot (on a brand new profile)"
> http://launchpadlibrarian.net/23606109/Screenshot-Calendar%20Preferences.png
>
That does seem backwards. I will look into it here and see if it is a
packaging error but i dont see how yet.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Umang Varma (umang) wrote :

Any progress?

John Vivirito (gnomefreak) wrote :

On 03/13/2009 08:20 AM, Umang wrote:
> Any progress?
>
This bug will be fixed upstream and more than likely for 1.0, that is
the reason it has upstream bug attached to we can track it.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Umang Varma (umang) wrote :

Oh, but I reported the bug upstream (and when I reported it here, I watched that bug here) and they said it should be a problem with my OS. So, I reported the bug here. I was told in bugzilla that it isn't Sunbird's fault. Here I am told it is a bug upstream....

The problem itself has not been identified. Or has it? (I am a little confused)

John Vivirito (gnomefreak) wrote :

On 03/13/2009 09:30 AM, Umang wrote:
> Oh, but I reported the bug upstream (and when I reported it here, I
> watched that bug here) and they said it should be a problem with my OS.
> So, I reported the bug here. I was told in bugzilla that it isn't
> Sunbird's fault. Here I am told it is a bug upstream....
>
> The problem itself has not been identified. Or has it? (I am a little
> confused)
>
Please see the following link
http://mxr.mozilla.org/comm-central/source/calendar/base/src/calDateTimeFormatter.js#151
This is from the sunbird code base not Ubuntu.
The upstream bug has been reopened. Windows and Linux code are not the
same so it may be just "Linux" It is not a Ubuntu problem.

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

Umang Varma (umang) wrote :

Oh OK. Great. Thanks! :)

John Vivirito (gnomefreak) wrote :

On 03/13/2009 10:51 AM, Umang wrote:
> Oh OK. Great. Thanks! :)
>
someone there reopened it i just read it and it didnt say who or why but
it is not Ubuntu problem that much i know :)

--
Sincerely Yours,
    John Vivirito

https://launchpad.net/~gnomefreak
https://wiki.ubuntu.com/JohnVivirito
Linux User# 414246

"How can i get lost, if i have no where to go"
    -- Metallica from Unforgiven III

To summarize the current situation: The mozilla toolkit receives the short date format and the long date format from the operating systems. Some systems (some/all linux systems?) don't provide a long date format and return the same as used for the short date format or an invalid string.

Sunbird/Lightning detects that both formats are identical and uses a custom long date format like "<abbreviated weekday name> <day of month> <abbreviated month name> <year>". Depending on the systems short date format this string might be shorter or longer - as reported with this bug.

One solution could be to remove the "Long" and "Short" text in the date format dropdown menu in the preference dialog and just offer the two entries as is. They don't really provide more information than already provided by the formatted examples in the dropdown menu itself.

That last solutions seems like a good idea. I would go with it.

Changed in sunbird:
status: New → Confirmed
Changed in sunbird:
importance: Unknown → Low
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.